<?php
class ClientProjectSelect extends ClientPlugin
	implements GuiProvider, FilterProvider, serverCaller {
	protected $specialactiontrigger;
	protected function makeSearch($searchString) {

	    $searchString = Utils::addslashes(trim($searchString));
	    $sql = "select xmin(bbox) as xmin, ymin(bbox) as ymin, xmax(bbox) as xmax,ymax(bbox) as ymax from vbbox WHERE project_id = '$searchString'";
	    $dsn = $this->getConfig()->dsn;
	    $db = Utils::getDb($db, $dsn);
	    $res = $db->query($sql);
	    Utils::checkDbError($res);
	    $row =& $res->fetchRow(DB_FETCHMODE_OBJECT);

	    $xmin = $row->xmin;
	    $ymin = $row->ymin;
	    $xmax = $row->xmax;
	    $ymax = $row->ymax;
	    $abbox = $xmin . ',' . $ymin .  ',' . $xmax . ',' . $ymax;
		return $abbox;
		}

	protected function drawUserForm() {
	    $smarty = new Smarty_Plugin($this->getCartoclient(), $this);
	    return $smarty->fetch('projectSelect.tpl');
		}

    public function filterPostRequest(FilterRequestModifier $request) {
    $searchString = $request->getValue('project_id');
    if (!empty($searchString)) {
    	if ($searchString != '-1'){

        $bbox = $this->makeSearch($searchString);
        $request->setValue('recenter_bbox', $bbox);
        	}
		}
	}



    public function filterGetRequest(FilterRequestModifier $request) {}

   
	public function handleHttpPostRequest($request) 
	{
	 	//echo 'SpecialactiontriggerHandleHttpPostRequest';
    	if (isset($request['specialactiontrigger'])) {
	        $this->specialactiontrigger = true;
	    } else {
    	    $this->specialactiontrigger = false;
	    }
	}
    
    public function buildRequest() {
	    //echo 'SpecialactiontriggerbuildRequest';
        if ($this->specialactiontrigger) {
    	    return $this->specialactiontrigger;
        }

    }
    public function initializeResult ($request){}
	public function handleResult($request){}
    public function handleHttpGetRequest($request) {}
    public function renderForm(Smarty $template) {
		$foo = 'My foo text comes here';
	    $template->assign('projectselect',$this->drawUserForm());
		}
	}
?>